# Employee Identifier Value Object

An implementation of a value object representing Employee Identifier at NC State.

## Install

Via Composer

``` json
{
    "repositories": [
        {
            "type": "composer",
            "url": "http://www.webtools.ncsu.edu/packages"
        }
    ],
    "require": {
        "ncsu/employee-identifier": "~1.0"
    }
}
```

## Usage

``` php
// Create an Employee Identifier value object.
$id = EmployeeId::fromNative('000123456');

echo $id;   // string "000123456";
```

## Testing

``` bash
$ phpunit
```

## Contributing

Please see [CONTRIBUTING](CONTRIBUTING.md) for details.

## Security

If you discover any security related issues, please email mdwheele@ncsu.edu instead of using the issue tracker.

## Credits

- [Dustin Wheeler](https://github.ncsu.edu/mdwheele)
- [All Contributors](../../contributors)

## License

The MIT License (MIT). Please see [License File](LICENSE.md) for more information.
