<?php

namespace NCSU\EmployeeId;

use NCSU\EmployeeId\Assertion;

final class EmployeeId
{
    /**
     * @var string internal representation of employee identifier.
     */
    private $id;

    private function __construct($id)
    {
        Assertion::string($id);
        Assertion::length($id, 9);
        Assertion::regex($id, '/^[0-9]{9}$/', 'Employee identifier must contain 9 numeric digits.');
        $this->id = $id;
    }

    public static function fromNative($id)
    {
        return new static($id);
    }

    public function __toString()
    {
        return $this->id;
    }
}
